> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check cascading updates



## OpenAPI

````yaml patch /v1/delegations/check-cascading-updates
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/check-cascading-updates:
    patch:
      tags:
        - delegations
      summary: Check cascading updates
      operationId: DelegationController_checkCascadingUpdatesOnDelegationEdit_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DelegationCheckCascadingUpdatesDto'
      responses:
        '200':
          description: Cascading updates checked successfully before Delegation update
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DelegationCheckCascadingUpdatesResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    DelegationCheckCascadingUpdatesDto:
      type: object
      properties:
        decisionId:
          type: string
          example: 864fa115-52d0-4466-baff-740447a60774
          description: >-
            ID of decision being edited which will potentially cascade updates
            to its child delegations
        parentDelegationId:
          type: string
          example: 726fa115-52d0-4466-baff-740447a60774
          description: >-
            ID of delegation being edited which will potentially cascade updates
            to its child delegations
        updatedPathwayOptions:
          items:
            type: array
          example:
            - Matrix
            - Direct Line
            - Functional
          description: Updated Delegation Pathway options
          type: array
        updatedDelegationGroups:
          description: Updated Delegation Groups
          type: array
          items:
            $ref: '#/components/schemas/DelegationGroupDto'
        updatedDelegationAuthorities:
          description: Updated Delegation Authorities
          type: array
          items:
            $ref: '#/components/schemas/DelegationAuthorityDto'
        updatedDecisionGroups:
          description: Updated Decision Groups
          type: array
          items:
            $ref: '#/components/schemas/DecisionGroupDto'
        updatedDecisionAuthorities:
          description: Updated Decision Authorities
          type: array
          items:
            $ref: '#/components/schemas/DecisionAuthorityDto'
    DelegationCheckCascadingUpdatesResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:50.384Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/DelegationCheckCascadingUpdatesResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    DelegationGroupDto:
      type: object
      properties:
        groupId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group ID
        displayName:
          type: string
          maxLength: 100
          description: User-friendly display name for the group (preferred field)
          example: Engineering Team
        groupName:
          type: string
          maxLength: 100
          description: >-
            Group Name - legacy field, will be populated from displayName if not
            provided (for backward compatibility)
          example: Engineering Team
        tenantGroupTypeId:
          type: string
          description: Group Type ID
          example: 105fa115-52d0-4466-baff-740447a60774
        isInvalid:
          type: boolean
          example: false
          description: Indicates if delegation group is invalid
      required:
        - groupId
        - tenantGroupTypeId
    DelegationAuthorityDto:
      type: object
      properties:
        authorityTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Authority Type ID
        authorityTypeOrder:
          type: number
          example: 1
          description: Authority Type Order
          default: 1
        authorityLimit:
          enum:
            - Primary
            - Secondary
            - Tertiary
          type: string
          example: Primary
          description: Authority Limit
        authorityLimitValueType:
          enum:
            - Currency
            - Number
            - Days
            - Months
            - Years
            - Authorized
            - Percentage
          type: string
          example: Currency
          description: Authority Limit Value Type
        authorityLimitOperator:
          enum:
            - <
            - <=
            - '='
            - '>='
            - '>'
          type: string
          example: <=
          description: Authority Limit Operator
        authorityLimitValue:
          type: string
          nullable: true
          maxLength: 50
          example: '1000000'
          description: Authority Limit Value
        authorityLimitValueUnit:
          type: string
          nullable: true
          maxLength: 25
          example: $
          description: Authority Limit Value Unit (e.g. $, days, months, years, %)
        redelegable:
          type: object
          default: true
          example: true
          description: Indicates whether the authority is redelegable
        redelegationLimitValue:
          type: string
          nullable: true
          maxLength: 50
          example: '500000'
          description: Redelegation limit value
        redelegationLimitValueUnit:
          type: string
          nullable: true
          maxLength: 25
          example: $
          description: Redelegation limit value unit (e.g. $, days, months, years, %)
        isInvalid:
          type: boolean
          example: false
          description: Indicates if delegation authority is invalid
        isLimitOverridden:
          type: boolean
          example: false
          description: >-
            Indicates if delegation authority limit value was overridden by
            someone with permission
      required:
        - authorityTypeId
        - authorityLimit
        - authorityLimitValueType
        - authorityLimitOperator
        - redelegable
    DecisionGroupDto:
      type: object
      properties:
        groupId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group ID
        displayName:
          type: string
          maxLength: 100
          description: User-friendly display name for the group (preferred field)
          example: Engineering Team
        groupName:
          type: string
          maxLength: 100
          description: >-
            Group Name - legacy field, will be populated from displayName if not
            provided (for backward compatibility)
          example: Engineering Team
        tenantGroupTypeId:
          type: string
          description: Group Type ID
          example: 105fa115-52d0-4466-baff-740447a60774
      required:
        - groupId
        - tenantGroupTypeId
    DecisionAuthorityDto:
      type: object
      properties:
        authorityTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Authority Type ID
        authorityType:
          type: string
          maxLength: 50
          example: Approval
          description: Authority Type (e.g. Approval, Signatory)
        authorityTypeOrder:
          type: number
          example: 1
          description: Authority Type Order
          default: 1
        authorityTypeIcon:
          type: string
          nullable: true
          maxLength: 500
          description: Authority Type Icon
          example: check-square
        authorityLimit:
          enum:
            - Primary
            - Secondary
            - Tertiary
          type: string
          example: Primary
          description: Authority Limit
        authorityLimitValueType:
          enum:
            - Currency
            - Number
            - Days
            - Months
            - Years
            - Authorized
            - Percentage
          type: string
          example: Currency
          description: Authority Limit Value Type
        authorityLimitOperator:
          enum:
            - <
            - <=
            - '='
            - '>='
            - '>'
          type: string
          example: <=
          description: Authority Limit Operator
        authorityLimitValue:
          type: string
          nullable: true
          maxLength: 50
          example: '1000000'
          description: Authority Limit Value
        authorityLimitValueUnit:
          type: string
          nullable: true
          maxLength: 25
          example: $
          description: Authority Limit Value Unit
      required:
        - authorityTypeId
        - authorityType
        - authorityLimit
        - authorityLimitValueType
        - authorityLimitOperator
    DelegationCheckCascadingUpdatesResponseDto:
      type: object
      properties:
        numberOfChildDelegationsInvalidated:
          type: number
          example: false
          description: >-
            Number of child delegations which will be marked as invalid due to
            current decision/delegation update
        childDelegationsInvalidated:
          type: boolean
          example: false
          description: >-
            Indicates if any child delegations will be marked as invalid due to
            current decision/delegation update
      required:
        - numberOfChildDelegationsInvalidated
        - childDelegationsInvalidated
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````